tcmu-runner(8)

NAME
tcmu-runner - A daemon that handles the userspace side of the LIO TCM-User backstore

DESCRIPTION
tcmu-runner is a service that provides an operating environment for LIO TCM-User handlers. These currently include handlers for Gluster glfs and the qcow and qcow2 image formats.

USAGE
While normally started automatically via D-Bus system activation, tcmu-runner can also be run as root directly, usually for debugging and development purposes.

OPTIONS

-h, --help
    Print usage information

-d, --debug
    Enable debug messages

-V, --version
    Print tcmu-runner's version

CONFIGURING HANDLERS
TCMU-backed handlers are typically configured using normal LIO configuration tools, such as targetcli. Part of doing this will be entering a handler-specific configuration string.

  CONFIGURING GLUSTER HANDLER (glfs)
This handler uses the Gluster glfs API to use Gluster as a backstore for the image file.

Its configuration string is:

    volume@hostname/filename
    volume: The volume on the Gluster server
    hostname: The server's hostname
    filename: The backing file

  CONFIGURING QCOW HANDLER (qcow)
This handler supports qcow, qcow2, or raw image file formats.

Its configuration string is:

    path
    path: The full path to a file of a supported file format. The file must already have been created using qemu-img.

SEE ALSO
qemu-img(1), targetcli(8), targetctl(8)

AUTHOR
Andy Grover <agrover@redhat.com>

REPORTING BUGS
Report bugs via <target-devel@vger.kernel.org>
or <https://github.com/agrover/tcmu-runner/issues>